Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport.model
Class GetStatusResult

    java.lang.Object
      com.amazonaws.services.importexport.model.GetStatusResult

    public class GetStatusResult

extends Object

Output structure for the GetStatus operation.

Constructor Summary
`GetStatusResult()`

Method Summary
`String` | `getAwsShippingAddress()` Address you ship your storage device to.
`String` | `getCarrier()` Name of the shipping company.
`Date` | `getCreationDate()` Timestamp of the CreateJob request in ISO8601 date format.
`String` | `getCurrentManifest()` The last manifest submitted, which will be used to process the job.
`Integer` | `getErrorCount()` Number of errors.
`String` | `getJobId()` A unique identifier which refers to a particular job.
`String` | `getJobType()` Specifies whether the job to initiate is an import or export job.
`String` | `getLocationCode()` A token representing the location of the storage device, such as "AtAWS".
`String` | `getLocationMessage()` A more human readable form of the physical location of the storage device.
`String` | `getLogBucket()` Amazon S3 bucket for user logs.
`String` | `getLogKey()` The key where the user logs were stored.
`String` | `getProgressCode()` A token representing the state of the job, such as "Started".
`String` | `getProgressMessage()` A more human readable form of the job status.
`String` | `getSignature()` An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=".
`String` | `getSignatureFileContents()` An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=".
`String` | `getTrackingNumber()` The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you.
`void` | `setAwsShippingAddress(String awsShippingAddress)` Address you ship your storage device to.
`void` | `setCarrier(String carrier)` Name of the shipping company.
`void` | `setCreationDate(Date creationDate)` Timestamp of the CreateJob request in ISO8601 date format.
`void` | `setCurrentManifest(String currentManifest)` The last manifest submitted, which will be used to process the job.
`void` | `setErrorCount(Integer errorCount)` Number of errors.
`void` | `setJobId(String jobId)` A unique identifier which refers to a particular job.
`void` | `setJobType(String jobType)` Specifies whether the job to initiate is an import or export job.
`void` | `setLocationCode(String locationCode)` A token representing the location of the storage device, such as "AtAWS".
`void` | `setLocationMessage(String locationMessage)` A more human readable form of the physical location of the storage device.
`void` | `setLogBucket(String logBucket)` Amazon S3 bucket for user logs.
`void` | `setLogKey(String logKey)` The key where the user logs were stored.
`void` | `setProgressCode(String progressCode)` A token representing the state of the job, such as "Started".
`void` | `setProgressMessage(String progressMessage)` A more human readable form of the job status.
`void` | `setSignature(String signature)` An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=".
`void` | `setSignatureFileContents(String signatureFileContents)` An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=".
`void` | `setTrackingNumber(String trackingNumber)` The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetStatusResult` | `withAwsShippingAddress(String awsShippingAddress)` Address you ship your storage device to.
`GetStatusResult` | `withCarrier(String carrier)` Name of the shipping company.
`GetStatusResult` | `withCreationDate(Date creationDate)` Timestamp of the CreateJob request in ISO8601 date format.
`GetStatusResult` | `withCurrentManifest(String currentManifest)` The last manifest submitted, which will be used to process the job.
`GetStatusResult` | `withErrorCount(Integer errorCount)` Number of errors.
`GetStatusResult` | `withJobId(String jobId)` A unique identifier which refers to a particular job.
`GetStatusResult` | `withJobType(String jobType)` Specifies whether the job to initiate is an import or export job.
`GetStatusResult` | `withLocationCode(String locationCode)` A token representing the location of the storage device, such as "AtAWS".
`GetStatusResult` | `withLocationMessage(String locationMessage)` A more human readable form of the physical location of the storage device.
`GetStatusResult` | `withLogBucket(String logBucket)` Amazon S3 bucket for user logs.
`GetStatusResult` | `withLogKey(String logKey)` The key where the user logs were stored.
`GetStatusResult` | `withProgressCode(String progressCode)` A token representing the state of the job, such as "Started".
`GetStatusResult` | `withProgressMessage(String progressMessage)` A more human readable form of the job status.
`GetStatusResult` | `withSignature(String signature)` An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=".
`GetStatusResult` | `withSignatureFileContents(String signatureFileContents)` An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=".
`GetStatusResult` | `withTrackingNumber(String trackingNumber)` The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetStatusResult

    public GetStatusResult()

Method Detail

### getJobId

    public String getJobId()

  A unique identifier which refers to a particular job.

  Returns:
    A unique identifier which refers to a particular job.

### setJobId

    public void setJobId(String jobId)

  A unique identifier which refers to a particular job.

  Parameters:
    `jobId` - A unique identifier which refers to a particular job.

### withJobId

    public GetStatusResult withJobId(String jobId)

  A unique identifier which refers to a particular job.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobId` - A unique identifier which refers to a particular job.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getJobType

    public String getJobType()

  Specifies whether the job to initiate is an import or export job.

  Constraints:
  Allowed Values: Import, Export

  Returns:
    Specifies whether the job to initiate is an import or export job.
  See Also:
    `JobType`

### setJobType

    public void setJobType(String jobType)

  Specifies whether the job to initiate is an import or export job.

  Constraints:
  Allowed Values: Import, Export

  Parameters:
    `jobType` - Specifies whether the job to initiate is an import or export job.
  See Also:
    `JobType`

### withJobType

    public GetStatusResult withJobType(String jobType)

  Specifies whether the job to initiate is an import or export job.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: Import, Export

  Parameters:
    `jobType` - Specifies whether the job to initiate is an import or export job.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `JobType`

### getAwsShippingAddress

    public String getAwsShippingAddress()

  Address you ship your storage device to.

  Returns:
    Address you ship your storage device to.

### setAwsShippingAddress

    public void setAwsShippingAddress(String awsShippingAddress)

  Address you ship your storage device to.

  Parameters:
    `awsShippingAddress` - Address you ship your storage device to.

### withAwsShippingAddress

    public GetStatusResult withAwsShippingAddress(String awsShippingAddress)

  Address you ship your storage device to.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `awsShippingAddress` - Address you ship your storage device to.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLocationCode

    public String getLocationCode()

  A token representing the location of the storage device, such as "AtAWS".

  Returns:
    A token representing the location of the storage device, such as "AtAWS".

### setLocationCode

    public void setLocationCode(String locationCode)

  A token representing the location of the storage device, such as "AtAWS".

  Parameters:
    `locationCode` - A token representing the location of the storage device, such as "AtAWS".

### withLocationCode

    public GetStatusResult withLocationCode(String locationCode)

  A token representing the location of the storage device, such as "AtAWS".

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `locationCode` - A token representing the location of the storage device, such as "AtAWS".
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLocationMessage

    public String getLocationMessage()

  A more human readable form of the physical location of the storage device.

  Returns:
    A more human readable form of the physical location of the storage device.

### setLocationMessage

    public void setLocationMessage(String locationMessage)

  A more human readable form of the physical location of the storage device.

  Parameters:
    `locationMessage` - A more human readable form of the physical location of the storage device.

### withLocationMessage

    public GetStatusResult withLocationMessage(String locationMessage)

  A more human readable form of the physical location of the storage device.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `locationMessage` - A more human readable form of the physical location of the storage device.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProgressCode

    public String getProgressCode()

  A token representing the state of the job, such as "Started".

  Returns:
    A token representing the state of the job, such as "Started".

### setProgressCode

    public void setProgressCode(String progressCode)

  A token representing the state of the job, such as "Started".

  Parameters:
    `progressCode` - A token representing the state of the job, such as "Started".

### withProgressCode

    public GetStatusResult withProgressCode(String progressCode)

  A token representing the state of the job, such as "Started".

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `progressCode` - A token representing the state of the job, such as "Started".
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProgressMessage

    public String getProgressMessage()

  A more human readable form of the job status.

  Returns:
    A more human readable form of the job status.

### setProgressMessage

    public void setProgressMessage(String progressMessage)

  A more human readable form of the job status.

  Parameters:
    `progressMessage` - A more human readable form of the job status.

### withProgressMessage

    public GetStatusResult withProgressMessage(String progressMessage)

  A more human readable form of the job status.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `progressMessage` - A more human readable form of the job status.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCarrier

    public String getCarrier()

  Name of the shipping company. This value is included when the LocationCode is "Returned".

  Returns:
    Name of the shipping company. This value is included when the LocationCode is "Returned".

### setCarrier

    public void setCarrier(String carrier)

  Name of the shipping company. This value is included when the LocationCode is "Returned".

  Parameters:
    `carrier` - Name of the shipping company. This value is included when the LocationCode is "Returned".

### withCarrier

    public GetStatusResult withCarrier(String carrier)

  Name of the shipping company. This value is included when the LocationCode is "Returned".

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `carrier` - Name of the shipping company. This value is included when the LocationCode is "Returned".
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getTrackingNumber

    public String getTrackingNumber()

  The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you. We return this value when the LocationCode is "Returned".

  Returns:
    The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you. We return this value when the LocationCode is "Returned".

### setTrackingNumber

    public void setTrackingNumber(String trackingNumber)

  The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you. We return this value when the LocationCode is "Returned".

  Parameters:
    `trackingNumber` - The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you. We return this value when the LocationCode is "Returned".

### withTrackingNumber

    public GetStatusResult withTrackingNumber(String trackingNumber)

  The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you. We return this value when the LocationCode is "Returned".

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `trackingNumber` - The shipping tracking number assigned by AWS Import/Export to the storage device when it's returned to you. We return this value when the LocationCode is "Returned".
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLogBucket

    public String getLogBucket()

  Amazon S3 bucket for user logs.

  Returns:
    Amazon S3 bucket for user logs.

### setLogBucket

    public void setLogBucket(String logBucket)

  Amazon S3 bucket for user logs.

  Parameters:
    `logBucket` - Amazon S3 bucket for user logs.

### withLogBucket

    public GetStatusResult withLogBucket(String logBucket)

  Amazon S3 bucket for user logs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `logBucket` - Amazon S3 bucket for user logs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLogKey

    public String getLogKey()

  The key where the user logs were stored.

  Returns:
    The key where the user logs were stored.

### setLogKey

    public void setLogKey(String logKey)

  The key where the user logs were stored.

  Parameters:
    `logKey` - The key where the user logs were stored.

### withLogKey

    public GetStatusResult withLogKey(String logKey)

  The key where the user logs were stored.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `logKey` - The key where the user logs were stored.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getErrorCount

    public Integer getErrorCount()

  Number of errors. We return this value when the ProgressCode is Success or SuccessWithErrors.

  Returns:
    Number of errors. We return this value when the ProgressCode is Success or SuccessWithErrors.

### setErrorCount

    public void setErrorCount(Integer errorCount)

  Number of errors. We return this value when the ProgressCode is Success or SuccessWithErrors.

  Parameters:
    `errorCount` - Number of errors. We return this value when the ProgressCode is Success or SuccessWithErrors.

### withErrorCount

    public GetStatusResult withErrorCount(Integer errorCount)

  Number of errors. We return this value when the ProgressCode is Success or SuccessWithErrors.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `errorCount` - Number of errors. We return this value when the ProgressCode is Success or SuccessWithErrors.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSignature

    public String getSignature()

  An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

  Returns:
    An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

### setSignature

    public void setSignature(String signature)

  An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

  Parameters:
    `signature` - An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

### withSignature

    public GetStatusResult withSignature(String signature)

  An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `signature` - An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSignatureFileContents

    public String getSignatureFileContents()

  An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

  Returns:
    An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

### setSignatureFileContents

    public void setSignatureFileContents(String signatureFileContents)

  An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

  Parameters:
    `signatureFileContents` - An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

### withSignatureFileContents

    public GetStatusResult withSignatureFileContents(String signatureFileContents)

  An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `signatureFileContents` - An encrypted code used to authenticate the request and response, for example, "DV+TpDfx1/TdSE9ktyK9k/bDTVI=". Only use this value is you want to create the signature file yourself. Generally you should use the SignatureFileContents value.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCurrentManifest

    public String getCurrentManifest()

  The last manifest submitted, which will be used to process the job.

  Returns:
    The last manifest submitted, which will be used to process the job.

### setCurrentManifest

    public void setCurrentManifest(String currentManifest)

  The last manifest submitted, which will be used to process the job.

  Parameters:
    `currentManifest` - The last manifest submitted, which will be used to process the job.

### withCurrentManifest

    public GetStatusResult withCurrentManifest(String currentManifest)

  The last manifest submitted, which will be used to process the job.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `currentManifest` - The last manifest submitted, which will be used to process the job.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreationDate

    public Date getCreationDate()

  Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

  Returns:
    Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

### setCreationDate

    public void setCreationDate(Date creationDate)

  Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

  Parameters:
    `creationDate` - Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

### withCreationDate

    public GetStatusResult withCreationDate(Date creationDate)

  Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `creationDate` - Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.